﻿using MahApps.Metro.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFMetroUI
{
    /// <summary>
    /// Interaction logic for FlyOutDialog.xaml
    /// </summary>
    public partial class FlyOutDialog : MahApps.Metro.Controls.MetroWindow
    {
        public FlyOutDialog()
        {
            InitializeComponent();
        }
        private void ShowSecond(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(1);
        }

        private void ShowThird(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(2);
        }

        private void ShowAccent(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(3);
        }

        private void ShowInverse(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(4);
        }

        private void ShowAdapt(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(5);
        }

        private void ShowSettings(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(6);
        }

        private void ShowLeft(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(7);
        }

        private void ShowTop(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(8);
        }

        private void ShowBottom(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(9);
        }

        private void ShowModal(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(10);
        }

        private void ShowAppBar(object sender, RoutedEventArgs e)
        {
            this.ToggleFlyout(11);
        }

        
        private void ToggleFlyout(int index)
        {
            var flyout = this.Flyouts.Items[index] as Flyout;
            if (flyout == null)
            {
                return;
            }

            flyout.IsOpen = !flyout.IsOpen;
        }
       
      

    }
    

}
