﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFMetroUI
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : MahApps.Metro.Controls.MetroWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ListBox_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            switch(((ListBox) sender).SelectedIndex)
            {
                case 0:
                    TilesDialog objTile = new TilesDialog();
                    objTile.ShowDialog();
                    break;
                case 1:
                    DialogDialog objDialog = new DialogDialog();
                    objDialog.ShowDialog();
                    break;
                case 2:
                    FlyOutDialog objFlyout = new FlyOutDialog();
                    objFlyout.ShowDialog();
                    break;
                case 3:
                    DynamicTiles objDynamicTiles = new DynamicTiles();
                    objDynamicTiles.ShowDialog();
                    break;
                case 4:
                    ProgressDialog objProgress = new ProgressDialog();
                    objProgress.ShowDialog();
                    break;
                case 5:
                    TabDialog objTab = new TabDialog();
                    objTab.ShowDialog();
                    break;
                case 6:
                    DataGridDialog objDataGrid = new DataGridDialog();
                    objDataGrid.ShowDialog();
                    break;
                case 7:
                    OtherControls objOtherControls = new OtherControls();
                    objOtherControls.ShowDialog();
                    break;
            }
        }
    }
}
